| DocBook: The Definitive Guide Version 2.0.7 (Alpha)

# classsynopsis

$Revision: 1.2 $

$Date: 2002/06/11 01:19:54 $

classsynopsis — The syntax summary for a class definition

## Synopsis

### Content Model

    classsynopsis ::=
    ((ooclass|oointerface|ooexception)+,
     (classsynopsisinfo|fieldsynopsis|constructorsynopsis|
      destructorsynopsis|methodsynopsis)*)

### Attributes

Common attributes

Name | Type | Default
language | CDATA | None

class

Enumeration:
class
interface

"class"

## Description

A `ClassSynopsis` contains the syntax summary of a class (generally speaking, a class in the object-oriented programming language sense).

This is one of the few places where DocBook attempts to model as well as describe. Unlike `FuncSynopsis` which was designed with C language function prototypes in mind, the content model of `ClassSynopsis` was designed to capture a wide range of object-oriented language semantics.

### Processing expectations

For the most part, the processing application is expected to generate all of the parenthesis, semicolons, commas, and so on. required in the rendered synopsis. The exception to this rule is that the spacing and other punctuation inside a parameter that is a pointer to a function must be provided in the source markup.

### Parents

These elements contain classsynopsis: `answer`, `appendix`, `application`, `article`, `attribution`, `bibliodiv`, `bibliography`, `bibliomisc`, `blockquote`, `callout`, `caution`, `chapter`, `citation`, `citetitle`, `constraintdef`, `emphasis`, `entry`, `example`, `figure`, `footnote`, `foreignphrase`, `glossary`, `glossdef`, `glossdiv`, `glosssee`, `glossseealso`, `glossterm`, `important`, `index`, `indexdiv`, `informalexample`, `informalfigure`, `itemizedlist`, `lineannotation`, `link`, `listitem`, `literallayout`, `lotentry`, `member`, `msgaud`, `msgexplan`, `msgtext`, `note`, `olink`, `orderedlist`, `para`, `partintro`, `phrase`, `preface`, `procedure`, `productname`, `programlisting`, `qandadiv`, `qandaset`, `question`, `quote`, `refentrytitle`, `refsect1`, `refsect2`, `refsect3`, `refsection`, `refsynopsisdiv`, `remark`, `revdescription`, `screen`, `screeninfo`, `sect1`, `sect2`, `sect3`, `sect4`, `sect5`, `section`, `seg`, `setindex`, `sidebar`, `simpara`, `simplesect`, `step`, `synopsis`, `term`, `tip`, `tocback`, `tocentry`, `tocfront`, `ulink`, `variablelist`, `warning`.

### Children

The following elements occur in classsynopsis: `classsynopsisinfo`, `constructorsynopsis`, `destructorsynopsis`, `fieldsynopsis`, `methodsynopsis`, `ooclass`, `ooexception`, `oointerface`.

## Attributes

class

  The `Class` attribute identifies the whether this is the synopsis of a class or an interface.

language

  Identifies the language (Java, C++, Perl, etc.) of the class for which this is a synopsis allows stylesheets to select an appropriate rendering.

classname |  | classsynopsisinfo

Copyright © 1999, 2000, 2001, 2002 O'Reilly & Associates, Inc. All rights reserved.